#!/usr/bin/perl -w

use strict;
my $bin=0;
my $Ni=165;
my $Nj=326;

my $dir = "OUT2016";

#  This program copies Nebraska canal and lateral leakage to one file
#
#--------------modification from----
#
#  for (my $yr=1940;$yr<=2000;$yr++)
#
#-------------------to--------------
#
for (my $yr=2016;$yr<=2016;$yr++)
#
#-------end of modifications--------
{
   for (my $mo=1;$mo<=12;$mo++)
   {
      my $Q=0;
      my @q;
#
#--------------modification from----
#
#     my $txt = sprintf "ne-data/canal/tcl%.2d_%d.txt" , $yr%100 , $mo;
#
#-------------------to--------------

     my $txt = sprintf "cl%.2d_%d.txt" , $yr%100 , $mo;
#
#-------end of modifications--------

      open(TXT , "<$txt") || die "Cannot open file $txt\n";
      <TXT>;
      for (my $l=0;$l<$Ni*$Nj;$l++)
      {
         my $line = <TXT>;
         $line =~ s/\r?\n//;
         $q[$l] += $line;
         $Q += $line;
      }
      close(TXT);
      ($Q) || next;
      my $file = sprintf "$dir/%7.2f.rcc" , $yr+$mo/100;
      open(OUT , ">$file") || die "Cannot open file $file\n";
      if ($bin)
      {
         print OUT pack('L',8*@q);
         print OUT pack('d*',@q);
         print OUT pack('L',8*@q);
      }
      else
      {
         for(my $i=0;$i<$Ni;$i++)
         {
            print OUT join(' ',splice(@q,0,$Nj)) . "\n";
         }
      }
      close(OUT);
   }
}
